﻿/*
 * *Created by PoLeung
 * *Email 30930572@qq.com
 * *Create date 2023-05-06
 * *Copyright LockDataV
 * *Desc data visualization project based on Echarts4.0.
 */

@charset "utf-8";
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box
}

*, body {
    padding: 0px;
    margin: 0px;
    font-family: "微软雅黑";
}

html {
    width: 100%;
    height: 100%;
    font-size: 16px;
}

body {
    width: 100%;
    height: 100%;
    color: rgba(0, 0, 0, .4);
    background: #ededed center top;
    -moz-user-select: none;
    -khtml-user-select: none;
    user-select: none;
}

/*定义滚动条高宽及背景 高宽分别对应横竖滚动条的尺寸*/
::-webkit-scrollbar {
    width: 8px;
    height: 8px;
    background-color: rgba(255, 255, 255, 0.2);
}

/*定义滚动条轨道 内阴影+圆角*/
::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 8px rgba(30, 159, 255, 0.5);
    border-radius: 2px;
    background-color: rgba(245, 245, 245, 0.2);
}

/*定义滑块 内阴影+圆角*/
::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 8px #1E9FFF;
    background-color: #555;
}

li {
    list-style-type: none;
}

i {
    margin: 0px;
    padding: 0px;
    text-indent: 0px;
}


a {
    text-decoration: none;
    color: #000;
}

a.active, a:focus {
    outline: none !important;
    text-decoration: none;
}

ol, ul, p, h1, h2, h3, h4, h5, h6 {
    padding: 0;
    margin: 0
}


a:hover {
    color: #16baaa;
    text-decoration: none !important
}

.clearfix:after, .clearfix:before {
    display: table;
    content: " "
}

.clearfix:after {
    clear: both
}

/*主框架*/
.mainbox {
    width: 100%;
    height: 100%;
    float: left;
    position: relative;
}

#map {
    position: absolute;
    width: 100%;
    height: 100%;
}

/*地图弹出窗内容*/
.popTitle {
    height: 25px;
}

.infoItems {
    color: rgba(0, 0, 0, 0.7);
    padding: 2px;
}

.infoItems > span {
    font-size: 12px;
    padding-left: 5px;
}

.infoItems > a > span {
    font-size: 12px;
    padding-left: 5px;
}

/*首页搜索框*/
.p_search {
    position: absolute;
    top: 3px;
    left: 0;
    right: 0;
    width: 96%;
    height: 50px;
    line-height: 50px;
    text-align: center;
    margin: 10px auto;
    border-radius: 15px;
    border: 1px solid rgba(159, 159, 159, 0.3);
    background: #fff;
    z-index: 99999;
}

.p_search > select {
    float: left;
    width: 25%;
    margin: 1px;
    height: 45px;
    line-height: 45px;
    border-radius: 15px;
    background: #fff;
    border: none;
    text-align: center;
    text-align-last: center;
    color: #000;
}

.p_search > input {
    float: left;
    width: 50%;
    margin: 1px;
    height: 45px;
    line-height: 45px;
    border: none;
}

#searchBtn {
    float: right;
    width: 18%;
    height: 100%;
    color: #000;
    outline: none;
    margin-left: 3px;
    padding: 1%;
    border-radius: 15px;
    background: #fff;
    border: 1px solid rgba(159, 159, 159, 0.3);
}

.extra_panel {
    position: absolute;
    top: 60px;
    left: 2%;
    width: 25%;
    height: 50px;
    line-height: 50px;
    text-align: center;
    margin: 10px auto;
    border-radius: 15px;
    border: 1px solid rgba(159, 159, 159, 0.3);
    background: #fff;
    z-index: 999;
}

.extra_panel > select {
    float: left;
    width: 100%;
    margin: 1px;
    height: 45px;
    line-height: 45px;
    border-radius: 15px;
    background: #fff;
    border: none;
    text-align: center;
    text-align-last: center;
    color: #000;
}

/*悬浮框*/
#reload {
    position: absolute;
    bottom: 110px;
    left: 10px;
    background-color: #16baaa;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    padding-top: 12px;
    text-align: center;
    color: #fff;
    font-weight: bold;
    font-size: 12px;
}

#agreement {
    position: absolute;
    bottom: 40px;
    left: 10px;
    background-color: #16baaa;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    padding-top: 12px;
    text-align: center;
    color: #fff;
    font-weight: bold;
    font-size: 12px;
}


#policy {
    position: absolute;
    bottom: 40px;
    left: 10px;
    background-color: #16baaa;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    padding-top: 12px;
    text-align: center;
    color: #fff;
    font-weight: bold;
    font-size: 12px;
}

/*导航*/
.navi {
    position: fixed;
    bottom: 0px;
    left: 0;
    right: 0;
    margin: auto 0;
    width: 100%;
    height: 200px;
    background-color: #FFF;
    border-radius: 10px 10px 0 0;
    z-index: 99999;
    display: none; /*默认隐藏*/
}

.navi > p {
    height: 50px;
    line-height: 50px;
    text-align: center;
    border-bottom: 1px solid rgba(139, 145, 160, 0.1);
}

.navi > p:nth-child(4) {
    border-top: 1px solid rgba(139, 145, 160, 0.1);
}

.x-red {
    color: red;
}